[GET] ~/tradein/vehicleidentification/manufacturers/{manufacturerId}/models/{modelId}/variants/{variantId}/vehicles?firstRegistrationDate={firstRegistrationDate}

Gets vehicles.

Request Information

URI Parameters

NameDescriptionType
manufacturerId

Identifier for the manufacturer.

integer

This value is required and must not be omitted.

modelId

Identifier for the model.

integer

This value is required and must not be omitted.

variantId

Identifier for the variant.

integer

This value is required and must not be omitted.

firstRegistrationDate

The first registration date is optional.

date

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

A list of .

An instance of: Collection of VehicleInfo
NameDescriptionType
DatECode

Gets or sets the DAT ECode of the vehicle.

string

Container

Gets or sets the container.

string

Equipment

Gets or sets the equipment.

Dictionary of integer [key] and string [value]

Engine

Gets or sets the engine.

EngineInfo

Gear

Gets or sets the gearing.

string

Body

Gets or sets the body.

string

ConstructionTimeFrom

Gets or sets the Date/Time of the construction time from.

date

ConstructionTimeFromYear

Gets the construction time from year.

integer

ConstructionTimeFromMonth

Gets the construction time from month.

integer

ConstructionTimeTo

Gets or sets the Date/Time of the construction time to.

date

ConstructionTimeToYear

Gets the construction time to year.

integer

ConstructionTimeToMonth

Gets the construction time to month.

integer

Label

Gets the label.

string

Response Formats

application/json, text/json

Sample:
[
  {
    "datECode": "sample string 1",
    "container": "sample string 2",
    "equipment": {
      "1": "sample string 2",
      "3": "sample string 4"
    },
    "gear": "sample string 3",
    "body": "sample string 4",
    "constructionTimeFrom": "2026-03-18T21:00:32.1867658+01:00",
    "constructionTimeFromYear": 2026,
    "constructionTimeFromMonth": 3,
    "constructionTimeTo": "2026-03-18T21:00:32.1867658+01:00",
    "constructionTimeToYear": 2026,
    "constructionTimeToMonth": 3,
    "label": "sample string 4 sample string 3"
  },
  {
    "datECode": "sample string 1",
    "container": "sample string 2",
    "equipment": {
      "1": "sample string 2",
      "3": "sample string 4"
    },
    "gear": "sample string 3",
    "body": "sample string 4",
    "constructionTimeFrom": "2026-03-18T21:00:32.1867658+01:00",
    "constructionTimeFromYear": 2026,
    "constructionTimeFromMonth": 3,
    "constructionTimeTo": "2026-03-18T21:00:32.1867658+01:00",
    "constructionTimeToYear": 2026,
    "constructionTimeToMonth": 3,
    "label": "sample string 4 sample string 3"
  }
]